Get run results
curl --request GET \
--url https://api.example.com/v1/runs/{runId}import requests
url = "https://api.example.com/v1/runs/{runId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {},
"data": [
{
"prompt": {},
"topic": {}
}
]
}Results
Get run results
Return per-prompt analysis results for a specific run.
GET
/
v1
/
runs
/
{runId}
Get run results
Returns one record per prompt/LLM combination: presence, sentiment, rank, mentioned brands, and optionally the full LLM response text.
Path parameters
Query parameters
boolean
default:"false"
Set to
true to include the raw LLM response text in each result. Significantly increases response size.integer
default:"50"
Items per page. Maximum 500.
integer
default:"1"
Page number (1-based).
Request
curl -s \
-H "x-spotlight-api-key: YOUR_API_KEY" \
"https://app.rocketblue.ai/api/v1/runs/RUN_ID?include_answer=false&limit=50&page=1"
import requests
r = requests.get(
"https://app.rocketblue.ai/api/v1/runs/RUN_ID",
headers={"x-spotlight-api-key": "YOUR_API_KEY"},
params={"include_answer": "false", "limit": 50, "page": 1},
)
print(r.json())
const url = new URL("https://app.rocketblue.ai/api/v1/runs/RUN_ID");
url.searchParams.set("include_answer", "false");
url.searchParams.set("limit", "50");
const r = await fetch(url, {
headers: { "x-spotlight-api-key": "YOUR_API_KEY" },
});
const json = await r.json();
Response
object
Basic run metadata.
Show Run
Show Run
{
"run": { "id": "run-uuid-123", "brandId": "brand-uuid-123", "startedAt": "2025-02-01T10:00:00Z" },
"data": [
{
"id": "result-uuid-1",
"runId": "run-uuid-123",
"prompt": { "text": "What do customers say about pricing?", "journeyStage": "consideration" },
"topic": { "name": "Pricing" },
"llm": "chatgpt",
"isPresent": true,
"rank": 1,
"sentiment": "positive",
"mentionedBrands": ["competitor-x"]
}
],
"paging": { "page": 1, "limit": 50, "total": 200, "nextPage": 2 },
"includeAnswer": false
}
⌘I

